Package org.eclipse.graphiti.internal.util

# Class DynamicLook

java.lang.Object
org.eclipse.graphiti.internal.util.DynamicLook

All Implemented Interfaces:
  `ILook`

public class DynamicLook extends Object implements ILook

## Constructor Summary

Constructors
Constructor
Description
`DynamicLook()`

## Method Summary

Modifier and Type
Method
Description
`IColorConstant`
`getFieldErrorBackgroundColor()`
Gets the field error background color.
`IColorConstant`
`getFieldErrorForegroundColor()`
Gets the field error foreground color.
`IColorConstant`
`getGridBackgroundColor()`
Gets the grid background color.
`int`
`getGridLineThickness()`
Gets the grid line thickness.
`IColorConstant`
`getMajorGridLineColor()`
Gets the major grid line color.
`int`
`getMajorGridLineDistance()`
Gets the major grid line distance.
`IColorConstant`
`getMinorGridLineColor()`
Gets the minor grid line color.
`int`
`getMinorGridLineDistance()`
Gets the minor grid line distance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DynamicLook

public DynamicLook()

## Method Details

### getFieldErrorBackgroundColor

public IColorConstant getFieldErrorBackgroundColor()
Description copied from interface: `ILook`
Gets the field error background color.

Specified by:
  `getFieldErrorBackgroundColor` in interface `ILook`
Returns:
  the field error background color

### getFieldErrorForegroundColor

public IColorConstant getFieldErrorForegroundColor()
Description copied from interface: `ILook`
Gets the field error foreground color.

Specified by:
  `getFieldErrorForegroundColor` in interface `ILook`
Returns:
  the field error foreground color

### getGridBackgroundColor

public IColorConstant getGridBackgroundColor()
Description copied from interface: `ILook`
Gets the grid background color.

Specified by:
  `getGridBackgroundColor` in interface `ILook`
Returns:
  the grid background color

### getGridLineThickness

public int getGridLineThickness()
Description copied from interface: `ILook`
Gets the grid line thickness.

Specified by:
  `getGridLineThickness` in interface `ILook`
Returns:
  the grid line thickness

### getMajorGridLineColor

public IColorConstant getMajorGridLineColor()
Description copied from interface: `ILook`
Gets the major grid line color.

Specified by:
  `getMajorGridLineColor` in interface `ILook`
Returns:
  the major grid line color

### getMajorGridLineDistance

public int getMajorGridLineDistance()
Description copied from interface: `ILook`
Gets the major grid line distance.

Specified by:
  `getMajorGridLineDistance` in interface `ILook`
Returns:
  the major grid line distance

### getMinorGridLineColor

public IColorConstant getMinorGridLineColor()
Description copied from interface: `ILook`
Gets the minor grid line color.

Specified by:
  `getMinorGridLineColor` in interface `ILook`
Returns:
  the minor grid line color

### getMinorGridLineDistance

public int getMinorGridLineDistance()
Description copied from interface: `ILook`
Gets the minor grid line distance.

Specified by:
  `getMinorGridLineDistance` in interface `ILook`
Returns:
  the minor grid line distance